package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_merchant_store_account
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighMerchantStoreAccount implements Serializable {
    private Long id;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 账户号码
     */
    private String accountNo;

    /**
     * 账户余额
     */
    private BigDecimal amounts;

    /**
     * 账户余额不足预警余额
     */
    private BigDecimal amountsEarlyWarning;

    /**
     * 账户余额不足预警状态，0：正常  1：不足
     */
    private Boolean amountsEarlyWarningStatus;

    /**
     * 状态  0：删除  1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public BigDecimal getAmounts() {
        return amounts;
    }

    public void setAmounts(BigDecimal amounts) {
        this.amounts = amounts;
    }

    public BigDecimal getAmountsEarlyWarning() {
        return amountsEarlyWarning;
    }

    public void setAmountsEarlyWarning(BigDecimal amountsEarlyWarning) {
        this.amountsEarlyWarning = amountsEarlyWarning;
    }

    public Boolean getAmountsEarlyWarningStatus() {
        return amountsEarlyWarningStatus;
    }

    public void setAmountsEarlyWarningStatus(Boolean amountsEarlyWarningStatus) {
        this.amountsEarlyWarningStatus = amountsEarlyWarningStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighMerchantStoreAccount other = (HighMerchantStoreAccount) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getAccountNo() == null ? other.getAccountNo() == null : this.getAccountNo().equals(other.getAccountNo()))
            && (this.getAmounts() == null ? other.getAmounts() == null : this.getAmounts().equals(other.getAmounts()))
            && (this.getAmountsEarlyWarning() == null ? other.getAmountsEarlyWarning() == null : this.getAmountsEarlyWarning().equals(other.getAmountsEarlyWarning()))
            && (this.getAmountsEarlyWarningStatus() == null ? other.getAmountsEarlyWarningStatus() == null : this.getAmountsEarlyWarningStatus().equals(other.getAmountsEarlyWarningStatus()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getAccountNo() == null) ? 0 : getAccountNo().hashCode());
        result = prime * result + ((getAmounts() == null) ? 0 : getAmounts().hashCode());
        result = prime * result + ((getAmountsEarlyWarning() == null) ? 0 : getAmountsEarlyWarning().hashCode());
        result = prime * result + ((getAmountsEarlyWarningStatus() == null) ? 0 : getAmountsEarlyWarningStatus().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", accountNo=").append(accountNo);
        sb.append(", amounts=").append(amounts);
        sb.append(", amountsEarlyWarning=").append(amountsEarlyWarning);
        sb.append(", amountsEarlyWarningStatus=").append(amountsEarlyWarningStatus);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}